Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 11 May 2021 01:50:45 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I was supposed to receive my shipment and did not. And now I am heading to the airport, so I need to change the address of delivery or find out how can I make it. It is truly frustrating I was bringing Eid Gifts for family and friends and now I have to leave without them and find alternatives. I am really disappointed. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2528198